Release Notes for Mendeley Desktop

Download the most recent Mendeley Desktop version

Mendeley Desktop v1.8-dev1

This is a small update which fixes a number of bugs.

  • Fixed non-English text sometimes not being displayed properly in the documents list.
  • Fixed problem with the Word plugin that could cause Word 2003 to crash.
  • Fixed Word plugin crash under OS X 10.5
  • Fixed progress indicator when importing large RIS, BibTeX and EndNote XML files.
  • Fixed look and feel for UI controls under Windows 8.

Supported Platforms

There are changes to the minimum versions of Windows and Linux that are supported from this release onwards.

Linux - This version of Mendeley requires Ubuntu 10.04, Debian Squeeze or equivalently new.

Windows - This version of Mendeley requires Windows XP SP2 or later.

Support

Mendeley uses